Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Andrew Morton <[email-masked]>
Date: Mon, 27 Jul 2015 13:31:33 -0700

On Mon, 27 Jul 2015 13:27:58 -0700 [email-masked] wrote:

> I agree with that.  I'm wondering if, rather than making the
> SRCU-ification optional, shrinkers themselves could just be optional.
> Unless I'm badly misunderstanding what shrinkers do, they seem like a
> perfect example of something that could be omitted with little to no
> impact.  (Stub them out, make them never called, and if you run out of
> memory just be unhappy.  Ditto for the oom-killer, which really ought to
> be optional.)

The shrinkers do important stuff ;) "find /" will consume large amounts
of memory for inode and dentry caches.  The shrinkers are how we free
that up again.